export declare class Storage {
    private _strategy;
    constructor(strategyCls: IStorageEngine, options?: any);
    get(key: string): Promise<any>;
    getJson(key: string): Promise<any>;
    setJson(key: string, value: any): Promise<any>;
    set(key: string, value: any): Promise<any>;
    remove(key: string): Promise<any>;
    query(query: string, params?: any): Promise<any>;
    clear(): Promise<any>;
}
export interface IStorageEngine {
    new (options: any): StorageEngine;
}
export declare class StorageEngine {
    constructor(options?: {});
    get(key: string): Promise<any>;
    set(key: string, value: any): Promise<any>;
    remove(key: string): Promise<any>;
    query(query: string, params?: any): Promise<any>;
    clear(): Promise<any>;
}
